#import <Cocoa/Cocoa.h>


/*

	DISPLAPERTURE
	by Peter Maurer @ http://manytricks.com

	If this little utility and/or its source code prove useful to you, please let us know. We love feedback!

*/


@interface PMDisplapertureController : NSObject

	{
		IBOutlet NSWindow *settingsWindow;
		IBOutlet NSPopUpButton *scopeSelector;
		IBOutlet NSButton *topLeftSwitch;
		IBOutlet NSButton *topRightSwitch;
		IBOutlet NSButton *bottomLeftSwitch;
		IBOutlet NSButton *bottomRightSwitch;
		IBOutlet NSSlider *radiusSlider;

		NSMutableArray *displapertureWindows;
	}

	+ (void)setAffectsAllScreens: (BOOL)flag;
	+ (BOOL)affectsAllScreens;

	+ (void)setAffect: (BOOL)flag corner: (NSInteger)theCorner;
	+ (BOOL)affectCorner: (NSInteger)theCorner;

	+ (void)setRadius: (NSInteger)theRadius;
	+ (NSInteger)radius;

	- (IBAction)toggleScope: (id)sender;
	- (IBAction)toggleCorner: (id)sender;
	- (IBAction)changeRadius: (id)sender;
	- (IBAction)doSomething: (id)sender;

@end
